Page MenuHomeFreeBSD

Install unwind.h into /usr/include.
ClosedPublic

Authored by jhb on Jan 27 2022, 7:37 PM.

Details

Summary

Install headers from LLVM's libunwind in place of the headers from
libcxxrt and allow C applications to use the library.

As part of this, remove include/unwind.h and switch libthr over to
using the installed unwind.h.

Diff Detail

Repository
rG FreeBSD src repository
Lint
Automatic diff as part of commit; lint not applicable.
Unit
Automatic diff as part of commit; unit tests not applicable.

Event Timeline

jhb requested review of this revision.Jan 27 2022, 7:37 PM

This is just a small superset of D34005 in that it also deals with include/unwind.h.

This revision is now accepted and ready to land.Feb 9 2022, 9:58 PM

I'm going to commit this, with two minor cosmetic changes:

  • Fill in actual date in ObsoleteFiles.inc
  • Sort INCS list in lib/libgcc_eh/Makefile
This revision was landed with ongoing or failed builds.Feb 11 2022, 12:36 PM
Closed by commit rGc00d34566536: Install unwind.h into /usr/include (authored by jhb, committed by dim). · Explain Why
This revision was automatically updated to reflect the committed changes.

Could you also MFC this to stable/13?

Nevermind, there is MFC note in the commit.

Nevermind, there is MFC note in the commit.

Yeah, though this should bake a little longer than 3 days. I also wonder who is going to get the MFC reminder mail, the author (@jhb) or the committer (me) :)